Skip to content

Update Customer User

Request

Update a user associated with a customer.

Security
BearerAuth
Path
idstringrequired

The ID of the customer.

user_idstringrequired

The ID of the user to update.

Headers
Acceptstring(CustomerUserAcceptHeader)required

Set this to application/api.luminovo.customer-user-v1+json.

Value:"application/api.luminovo.customer-user-v1+json"
Bodyapplication/jsonrequired
first_namestring or null

The first name of the user.

last_namestring or null

The last name of the user.

phone_numberstring or null

The phone number of the user.

positionstring or null

The position of the user within the organization.

PATCH
/customers/{id}/users/{user_id}
curl -i -X PATCH \
  'https://api.luminovo.com/customers/{id}/users/{user_id}' \
  -H 'Accept: application/api.luminovo.customer-user-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "first_name": "string",
    "last_name": "string",
    "phone_number": "string",
    "position": "string"
  }'

Responses

User updated successfully.

Bodyapplication/json
idstring, (uuid)required
first_namestringrequired
last_namestringrequired
emailstringrequired
user_languagestringrequired
phone_numberstring or null
positionstring or null
customerstring or null, (uuid)
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "first_name": "string", "last_name": "string", "email": "string", "user_language": "string", "phone_number": "string", "position": "string", "customer": "0ac6320b-fa4d-4235-8d23-413a2b863bad" }